Subject: Re: [Megaco] about the difference between H248 and MGCP

From: "Neal Zhu" <[email-masked]>
Date: Thu, 01 Sep 2005 05:02:34 +0000

I really can end up with multiple codecs quite reasonably .if there are one 
AUDIO codec ,and some other such as 2833,2198 and CNG in this codec list 
.it is OK. but if thre are 2 AUDIO codecs are reported in this codec ilst 
by the second endpoint ,how to establish a media connect ??if the second 
endpoint reports G.711 and G.729 in 
step 2).And MGC modfiy the codec of the first endpoint as G.711,how it 
work?How the second endpoint knows to use G.711 or G.729? 
i think MGC must send a mdcx to the second endpoint to appoint a unique 
audio codec after the second enpoint reports more than one AUDIO codec in 
the response of crcx in step 2).

Or ,how MGC directs the second endpoint to report only one AUDIO codec to 
avoid sending one more mdcx command?i think the second endpoint shall know 
to use which audio codec in this call to encode audio data .(maybe decoding 
is no problem ).

Thanks ,
Neal

>From: jijo <[email-masked]>
>To: Tom-PT Taylor <[email-masked]>
>CC: Neal Zhu <[email-masked]>, [email-masked]
>Subject: Re: [Megaco] about the difference between H248 and MGCP
>Date: Wed, 31 Aug 2005 20:57:41 +0530
>
>Hi,
>
>That true, But the Call Agent does a modify to first endpoint with media
>info selected from the list of media parameter send by the second
>endpoint. So the first endpoint will try to establish media connection
>to the second endpoint using the media info rcieved in the MODIFY. so i
>think still it works.
>
>Thanks
>
>Jijo
>
>
>Tom-PT Taylor wrote:
>
> >You can end up with multiple codecs quite reasonably -- for instance,
> >G.711, G.711 voice-band data, and RFC 2833 events, and perhaps RFC 2198
> >redundancy for good measure  (I've just been rewriting the data-related
> >part of RFC 2833bis).
> >
> >Neal Zhu wrote:
> >
> >
> >>In RFC 3435
> >>2.6 Use of Local Connection Options and Connection Descriptors
> >>  As indicated previously, the normal sequence in setting up a bi-
> >>directional connection involves at least 3 steps:
> >>
> >>
> >...>
> >
> >
> >>i have a doubt that in step 5,the callee mg returns the negotiated  
list
> >>of codecs.it is not a single codec .so in step 3),mdcx is only send to
> >>the first endpoint. but for the second endpoint ,how it decide to use
> >>which single codec ?for a call ,only a unique codec sould be choosed .
> >>
> >>thanks,
> >>Neal
> >>
> >>_________________________________________________________________
> >>免费下载 MSN Explorer:   http://explorer.msn.com/lccn/
> >>
> >>_______________________________________________
> >>Megaco mailing list
> >>[email-masked]
> >>https://www1.ietf.org/mailman/listinfo/megaco
> >>
> >>
> >>
> >>
> >
> >
> >_______________________________________________
> >Megaco mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/megaco
> >
> >
> >
> >
> >
>
>

_________________________________________________________________
享用世界上最大的电子邮件系统― MSN Hotmail。  http://www.hotmail.com  

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Kevin Boyle" <[email-masked]>
Date: Thu, 1 Sep 2005 01:27:47 -0400

Remember that the MG, upon reporting both codecs, must be ready to
receive EITHER codec.  The Remote Descriptor will indicate what must be
sent to the other end.

It is legal, and possible, in H.248 to set up asymmetric codec usage.
This can be avoided, if need be, through network policy enforcement,
which is outside the scope of H.248.

Kevin 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Neal Zhu
Sent: Thursday, September 01, 2005 1:03 AM
To: [email-masked]; Taylor, Tom-PT [CAR:5N00:EXCH]
Cc: [email-masked]
Subject: Re: [Megaco] about the difference between H248 and MGCP

I really can end up with multiple codecs quite reasonably .if there are
one AUDIO codec ,and some other such as 2833,2198 and CNG in this codec
list .it is OK. but if thre are 2 AUDIO codecs are reported in this
codec ilst by the second endpoint ,how to establish a media connect ??if
the second endpoint reports G.711 and G.729 in step 2).And MGC modfiy
the codec of the first endpoint as G.711,how it work?How the second
endpoint knows to use G.711 or G.729? 
i think MGC must send a mdcx to the second endpoint to appoint a unique
audio codec after the second enpoint reports more than one AUDIO codec
in the response of crcx in step 2).

Or ,how MGC directs the second endpoint to report only one AUDIO codec
to avoid sending one more mdcx command?i think the second endpoint shall
know to use which audio codec in this call to encode audio data .(maybe
decoding is no problem ).

Thanks ,
Neal

>That true, But the Call Agent does a modify to first endpoint with 
>media info selected from the list of media parameter send by the second

> >G.711, G.711 voice-band data, and RFC 2833 events, and perhaps RFC 
> >2198 redundancy for good measure  (I've just been rewriting the 
> >data-related part of RFC 2833bis).
> >
> >Neal Zhu wrote:
> >
> >
> >>In RFC 3435
list
> >>of codecs.it is not a single codec .so in step 3),mdcx is only send 
> >>to the first endpoint. but for the second endpoint ,how it decide to

> >>use which single codec ?for a call ,only a unique codec sould be
choosed .
> >>������� MSN Explorer:   http://explorer.msn.com/lccn/
> >>

_________________________________________________________________
�������������ĵ����ʼ�ϵͳ�� MSN Hotmail��  http://www.hotmail.com